de.katho.kBorrow

## Class Settings

- java.lang.Object
- - de.katho.kBorrow.Settings

    public class Settings
    extends java.lang.Object

Verwaltet die Settings-Datei von kBorrow.

### Field Summary

Fields
`private java.lang.String` `fileName` Dateiname der Settingsdatei
`private java.lang.String` `filePath` Pfad zum Settings-Verzeichnis
`private java.util.Properties` `properties` Properties-Objekt, über das Zugriff auf Settings-Werte erfolgt

### Constructor Summary

Constructors
Constructor and Description
`Settings()` Initialisiert das Settingsobjekt.

### Method Summary

All Methods Instance Methods Concrete Methods
`private void` `createDefaultConfig()` Writes a default config to the config file.
`private boolean` `filePathHasValidConfig()` Prüft, ob am oben definierten Dateipfad eine valide Config existiert.
`java.lang.String` `getProperty(java.lang.String pKey)` Gibt einen Propertieswert zum als Parameter übergebenen Key zurück.
`java.lang.String` `getSettingsDir()` Gibt den Pfad zum Configverzeichnis zurück.
`void` `setProperty(java.lang.String pKey, java.lang.String pValue)` Setzt übergebenes Key-Value-Paar und schreibt es in die Configdatei.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### properties

    private java.util.Properties properties

Properties-Objekt, über das Zugriff auf Settings-Werte erfolgt

#### filePath

    private final java.lang.String filePath

Pfad zum Settings-Verzeichnis

#### fileName

    private final java.lang.String fileName

Dateiname der Settingsdatei

See Also:
  Constant Field Values

### Constructor Detail

#### Settings

    public Settings()
             throws java.lang.Exception

Initialisiert das Settingsobjekt. Prüft, ob am oben definierten Dateipfad eine valide Config existiert. Falls nicht, wird eine neue Config erzeugt.

Throws:
  `java.lang.Exception` - wenn eine Exception in `filePathHasValidConfig()` oder `createDefaultConfig()` auftritt und dort nicht gefangen wird.

### Method Detail

#### filePathHasValidConfig

    private boolean filePathHasValidConfig()

Prüft, ob am oben definierten Dateipfad eine valide Config existiert.

Returns:
  true, wenn eine valide Config existiert, false, wenn keine Config existiert, oder die Config invalid ist.

#### createDefaultConfig

    private void createDefaultConfig()
                              throws java.lang.Exception

Writes a default config to the config file.

Throws:
  `java.lang.Exception` - wenn Configdatei nicht gefunden oder nicht erzeugt werden konnte.

#### getProperty

    public java.lang.String getProperty(java.lang.String pKey)

Gibt einen Propertieswert zum als Parameter übergebenen Key zurück.

Parameters:
  `pKey` - Key des angefragten Propertieswerts, null gibt null zurück
Returns:
  Propertieswert als String oder null, wenn Key nicht gefunden werden konnte.

#### setProperty

    public void setProperty(java.lang.String pKey,
                            java.lang.String pValue)
                     throws java.lang.Exception

Setzt übergebenes Key-Value-Paar und schreibt es in die Configdatei.

Parameters:
  `pKey` - Key des zu schreibenden Key-Value-Paars, not null
  `pValue` - Value des zu schreibenden Key-Value-Paares, null
Throws:
  `java.lang.Exception` - Wenn Key null ist, wenn Configdatei nicht gefunden oder nicht beschrieben werden konnte.

#### getSettingsDir

    public java.lang.String getSettingsDir()

Gibt den Pfad zum Configverzeichnis zurück.

Returns:
  Pfad zum Configverzeichnis als String.